list.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions

bool | mpd_command_list_begin (struct mpd_connection *connection, bool discrete_ok)
bool | mpd_command_list_end (struct mpd_connection *connection)

## Detailed Description

MPD client library.

Functions for sending command lists.

Do not include this header directly. Use mpd/client.h instead.

Definition in file list.h.

## Function Documentation

bool mpd_command_list_begin | ( | struct mpd_connection * | connection,
|  | bool | discrete_ok
| ) |  |

Starts a command list, i.e. a group of pipelined commands which are transferred in one block. If one command fails, the rest of the command list is canceled.

Note that there is no guarantee on atomicity.

Parameters

  connection | the connection to MPD
  discrete_ok | tells MPD whether to acknowledge every list command with an "list_OK" response

Returns
  true on success

bool mpd_command_list_end | ( | struct mpd_connection * | connection | ) |

Commits the command list, i.e. makes MPD execute all commands which were queued.

Note: there is no way to cancel a command list once it is started. You may however close the socket connection.

Parameters

  connection | the connection to MPD

Returns
  true on success